%define upstream_name	 WWW-Mechanize
%define upstream_version 1.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Handy web browsing in a Perl object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Form) >= 6.0.0
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTML::Parser) >= 3.330.0
BuildRequires: perl(HTML::TokeParser) >= 2.280.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(HTTP::Request) >= 1.300.0
BuildRequires: perl(HTTP::Server::Simple) >= 0.350.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP) >= 5.829.0
BuildRequires: perl(LWP::UserAgent) >= 5.829.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.340.0
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(URI) >= 1.360.0
BuildRequires: perl(URI::URL)
BuildRequires: perl(URI::file)
BuildArch:  noarch

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
%make_install

%{__make} test

%files 
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/WWW
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.750.0-4pclos2017
- rebuild against updates

